=head1 NAME

Gtk2::Pango::LayoutLine

=head1 HIERARCHY

  Glib::Boxed
  +----Gtk2::Pango::LayoutLine


=head1 METHODS

=head2 (ink_rect, logical_rect) = $line->B<get_extents>

=head2 (ink_rect, logical_rect) = $line->B<get_pixel_extents>

=over



=back

=head2 x_pos = $line-E<gt>B<index_to_x> ($index_, $trailing)

=over

=over

=item * $index_ (integer) 

=item * $trailing (boolean) 

=back

=back

=head2 list = $line-E<gt>B<get_pixel_extents> 

=over

=back

=head2 list = $line-E<gt>B<get_x_ranges> ($start_index, $end_index)

=over

=over

=item * $start_index (integer) 

=item * $end_index (integer) 

=back

=back

=head2 list = $line-E<gt>B<x_to_index> ($x_pos)

=over

=over

=item * $x_pos (integer) 

=back

=back


=head1 SEE ALSO

L<Gtk2>, L<Glib::Boxed>

=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

